Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167554 - AssertionError at org.netbeans.modules.javahints.StaticImport.hasMethodNameClash
AssertionError at org.netbeans.modules.javahints.StaticImport.hasMethodNameClash
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: TBD
Assigned To: fommil
issues@contrib
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 19:03 UTC by mklaehn
Modified: 2009-12-07 03:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.07 KB, text/plain)
2009-06-23 19:03 UTC, mklaehn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mklaehn 2009-06-23 19:03:26 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-3316-on-090616)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.javahints.StaticImport.hasMethodNameClash(StaticImport.java:318)
        at org.netbeans.modules.javahints.StaticImport.run(StaticImport.java:133)
        at org.netbeans.modules.java.hints.infrastructure.SuggestionsTask.run(SuggestionsTask.java:122)
        at org.netbeans.modules.java.hints.infrastructure.SuggestionsTask.run(SuggestionsTask.java:65)
        at org.netbeans.modules.java.source.JavaSourceAccessor$CancelableTaskWrapper.run(JavaSourceAccessor.java:288)
        at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:661)
Comment 1 mklaehn 2009-06-23 19:03:37 UTC
Created attachment 83953 [details]
stacktrace
Comment 2 Max Sauer 2009-06-25 09:20:37 UTC
Experimental hints, reassigning.
Comment 3 fommil 2009-06-30 21:02:52 UTC
proposed fix pushed https://hg.netbeans.org/main/contrib/rev/d67ba7d4e813
Comment 4 fommil 2009-08-07 13:50:30 UTC
patch proposed
Comment 5 Jesse Glick 2009-10-01 17:15:24 UTC
Did you increment the specification version of the module? If not, existing users are not going to see your fix.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo